import request from '@/utils/request'
// 新闻
export function pageNews(data) {
    return request({
        url: '/pmadmin/app/mini/pageNews',
        method: 'post',
        data
    })
}
// 政策
export function pagePolicy(data) {
    return request({
        url: '/pmadmin/app/mini/pagePolicy',
        method: 'post',
        data
    })
}
// 公告
export function pageNotice(data) {
    return request({
        url: '/pmadmin/app/mini/pageNotice',
        method: 'post',
        data
    })
}
export function hitNews(data) {
    return request({
        url: '/pmadmin/app/mini/hitNews',
        method: 'post',
        data
    })
}
export function hitNotice(data) {
    return request({
        url: '/pmadmin/app/mini/hitNotice',
        method: 'post',
        data
    })
}
export function hitPolicy(data) {
    return request({
        url: '/pmadmin/app/mini/hitPolicy',
        method: 'post',
        data
    })
}
export function getNews(data) {
    return request({
        url: '/pmadmin/app/mini/getNews',
        method: 'post',
        data
    })
}
export function getNotice(data) {
    return request({
        url: '/pmadmin/app/mini/getNotice',
        method: 'post',
        data
    })
}
export function getPolicy(data) {
    return request({
        url: '/pmadmin/app/mini/getPolicy',
        method: 'post',
        data
    })
}
// 随访计划
export function followUpPage(data) {
    return request({
        url: '/pmadmin/app/mini/followUpPage',
        method: 'post',
        data
    })
}
// 历史随访计划
export function historyFollowUp(data) {
    return request({
        url: '/pmadmin/app/mini/historyFollowUp',
        method: 'post',
        data
    })
}
// 保存随访
export function saveFollowUp(data) {
    return request({
        url: '/pmadmin/app/mini/saveFollowUp',
        method: 'post',
        data
    })
}
// 查询所有街道
export function getStreetList(data) {
    return request({
        url: '/pmadmin/app/mini/getStreetList',
        method: 'post',
        data
    })
}
// 查询儿童信息
export function getChildInfo(data) {
    return request({
        url: '/pmadmin/app/mini/followUpChildDetail',
        method: 'post',
        data
    })
}
// 查询历史记录详情
export function followUpHistoryDetail(data) {
    return request({
        url: '/pmadmin/app/mini/followUpHistoryDetail',
        method: 'post',
        data
    })
}
// 分页查询App项目管理
export function pageAppProject(data) {
    return request({
        url: '/pmadmin/app/mini/pageAppProject',
        method: 'post',
        data
    })
}
// 上传图片
export function uploadImage(data) {
    return request({
        url: '/pmadmin/app/image/uploadImage',
        method: 'post',
        data,
        type: 'formData'
    })
}
// 创建服务项目
export function addProjectHistory(data) {
    return request({
        url: '/pmadmin/app/mini/addProjectHistory',
        method: 'post',
        data
    })
}
// 爱心帮扶
export function lovingHelpPage(data) {
    return request({
        url: '/pmadmin/app/mini/lovingHelpPage',
        method: 'post',
        data
    })
}
// 根据姓名查询儿童信息
export function listChildInfoByName(data) {
    return request({
        url: '/pmadmin/app/mini/listChildInfoByName',
        method: 'post',
        data
    })
}
// 查询员工列表
export function getEmployeeList(data) {
    return request({
        url: '/pmadmin/app/mini/getEmployeeList',
        method: 'post',
        data
    })
}
// 项目完成
export function pageProjectHistory(data) {
    return request({
        url: '/pmadmin/app/mini/pageProjectHistory',
        method: 'post',
        data
    })
}
// 项目详情
export function getProjectHistory(data) {
    return request({
        url: '/pmadmin/app/mini/getProjectHistory',
        method: 'post',
        data
    })
}
// 服务组织详情
export function organizationDetail(data) {
    return request({
        url: '/pmadmin/app/mini/organizationDetail',
        method: 'post',
        data
    })
}
// 爱心帮扶保存
export function lovingHelpSave(data) {
    return request({
        url: '/pmadmin/app/mini/lovingHelpSave',
        method: 'post',
        data
    })
}
// 爱心帮扶详情
export function lovingHelpDetail(data) {
    return request({
        url: '/pmadmin/app/mini/lovingHelpDetail',
        method: 'post',
        data
    })
}
// 服务组织列表
export function organizationList(data) {
    return request({
        url: '/pmadmin/app/mini/organizationList',
        method: 'post',
        data
    })
}
// 个案会商保存
export function consultationSave(data) {
    return request({
        url: '/pmadmin/app/mini/consultationSave',
        method: 'post',
        data
    })
}
// 个案会商分页
export function consultationPage(data) {
    return request({
        url: '/pmadmin/app/mini/consultationPage',
        method: 'post',
        data
    })
}
// 个案会商详情
export function consultationDetail(data) {
    return request({
        url: '/pmadmin/app/mini/consultationDetail',
        method: 'post',
        data
    })
}
// 强制报告保存
export function mandatorySave(data) {
    return request({
        url: '/pmadmin/app/mini/mandatorySave',
        method: 'post',
        data
    })
}
// 强制报告保存
export function mandatoryPage(data) {
    return request({
        url: '/pmadmin/app/mini/mandatoryPage',
        method: 'post',
        data
    })
}
// 强制报告详情
export function mandatoryDetail(data) {
    return request({
        url: '/pmadmin/app/mini/mandatoryDetail',
        method: 'post',
        data
    })
}
// 轮播图
export function homeData(data) {
    return request({
        url: '/pmadmin/app/mini/homeData',
        method: 'post',
        data
    })
}